#include <stdio.h>
#include <stdlib.h>


void converteseg2hor(int total_segundos, int *horas, int *minutos, int *segundos){

    *horas=0;
    *minutos=0;
    *segundos=0;

    if (total_segundos >= 3600){
        *horas = total_segundos/3600;
        total_segundos = total_segundos%3600;
    }

    if (total_segundos>=60){
        *minutos = total_segundos/60;
        total_segundos = total_segundos%60;
    }

    *segundos = total_segundos;
}

int main()
{

    int total_segundos = 0, horas, minutos, segundos;

    /* Capturar os dados */

    printf("Digite um valor de tempo em segundos: \n");
    scanf("%d", &total_segundos);

    converteseg2hor(total_segundos,&horas,&minutos,&segundos);

    printf("O tempo eh (%d:%d:%d)",horas,minutos,segundos);

    return 0;
}
